- [HTTP request](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list#body.ListInvitationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list#body.aspect)
- [Invitation](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list#Invitation)
  - [JSON representation](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list#Invitation.SCHEMA_REPRESENTATION)
- [TargetLocation](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list#TargetLocation)
  - [JSON representation](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list#TargetLocation.SCHEMA_REPRESENTATION)
- [TargetType](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list#TargetType)

Lists pending invitations for the specified account.

### HTTP request

`GET https://mybusinessaccountmanagement.googleapis.com/v1/{parent=accounts/*}/invitations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the account from which the list of invitations is being retrieved. `accounts/{account_id}/invitations` |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` Optional. Filtering the response is supported via the Invitation.target_type field. |

### Request body

The request body must be empty.

### Response body

Response message for AccessControl.ListInvitations.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "invitations": [ { object (`https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list#Invitation`) } ] } ``` |

| Fields ||
|---|---|
| `invitations[]` | ``object (`https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list#Invitation`)`` A collection of invitations that are pending for the account. The number of invitations listed here cannot exceed 1000. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## Invitation

Represents a pending invitation.

| JSON representation |
|---|
| ``` { "name": string, "role": enum (`https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.admins#Admin.AdminRole`), "targetType": enum (`https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list#TargetType`), // Union field `target` can be only one of the following: "targetAccount": { object (`https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts#Account`) }, "targetLocation": { object (`https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list#TargetLocation`) } // End of list of possible types for union field `target`. } ``` |

| Fields ||
|---|---|
| `name` | `string` Required. The resource name for the invitation. `accounts/{account_id}/invitations/{invitation_id}`. |
| `role` | ``enum (`https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.admins#Admin.AdminRole`)`` Output only. The invited role on the account. |
| `targetType` | ``enum (`https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list#TargetType`)`` Output only. Specifies which target types should appear in the response. |
| Union field `target`. Indicates the target this invitation is for. `target` can be only one of the following: ||
| `targetAccount` | ``object (`https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts#Account`)`` The sparsely populated account this invitation is for. |
| `targetLocation` | ``object (`https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list#TargetLocation`)`` The target location this invitation is for. |

## TargetLocation

Represents a target location for a pending invitation.

| JSON representation |
|---|
| ``` { "locationName": string, "address": string, "placeId": string } ``` |

| Fields ||
|---|---|
| `locationName` | `string` The name of the location to which the user is invited. |
| `address` | `string` The address of the location to which the user is invited. Not always populated. |
| `placeId` | `string` Output only. The Place ID of the location to which the user is invited. Not always populated. |

## TargetType

The type of target an invitation is for.

| Enums ||
|---|---|
| `TARGET_TYPE_UNSPECIFIED` | Set when target type is unspecified. |
| `ACCOUNTS_ONLY` | List invitations only for targets of type Account. |
| `LOCATIONS_ONLY` | List invitations only for targets of type Location. |